"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655BC0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655C60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655D00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655DA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655E40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655EE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631655F80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656020>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316560C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656160>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656200>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316562A0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656340>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316563E0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656480>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316565C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656660>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316567A0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656840>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316568E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656980>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656A20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656AC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656B60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656C00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656CA0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656D40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656DE0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656E80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656F20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631656FC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657060>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657100>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316571A0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657240>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316572E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657380>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657420>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316574C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657560>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657600>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316576A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657740>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316577E0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657880>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657920>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316579C0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657A60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657B00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657BA0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657C40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657CE0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657D80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657E20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657EC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631657F60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316800E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680180>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680220>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316802C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680360>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316804A0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680540>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316805E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680720>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316807C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680860>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680900>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000206316809A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680A40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680AE0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680B80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680C20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680CC0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680D60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680EA0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680E00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680F40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631680FE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000020631681080>)]
name: str = 'fr_HOCCN'
